Bug 853940 - [RFE] dnf is missing 'clean' and 'search' commands.
[RFE] dnf is missing 'clean' and 'search' commands.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 07:29 EDT by xset1980
Modified: 2014-09-30 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: dnf-0.2.13-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:26:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xset1980 2012-09-03 07:29:12 EDT
Description of problem:

1.- Clean option is not present on dnf package manager and i think that if the future of dnf is replace to yum, so, is a very important command

2.- Search options is present(?)(the help show me that Search as a possible command), but no work, dnf search foo:

No such command: search. Please use /bin/dnf --help

Version-Release number of selected component (if applicable):

Fedora 18 Alpha TC5 Live CD KDE Spin i686


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ales Kozumplik 2012-09-10 03:10:24 EDT
Hello and thank you for the report. There are many commands missing in DNF compared to yum and they will be readded one by one. Input like this bug is valuable for prioritization.
Comment 2 Ales Kozumplik 2012-09-25 11:36:48 EDT
Commit d3dec8b enables the 'dnf clean ...' commands. Still looking into the search.
Comment 3 xset1980 2012-09-25 23:08:32 EDT
(In reply to comment #2)
> Commit d3dec8b enables the 'dnf clean ...' commands. Still looking into the
> search.

how i can see the commit and test the rpm package of the commit d3dec8b?.
Actually dnf-0.2.12-2.git832ecd1.fc18.noarch no have clean option.
On koji i can't see d3dec8b git version.
Comment 4 Ales Kozumplik 2012-09-27 03:44:45 EDT
> how i can see the commit and test the rpm package of the commit d3dec8b?.
> Actually dnf-0.2.12-2.git832ecd1.fc18.noarch no have clean option.
> On koji i can't see d3dec8b git version.

Hi, you can try running directly from git: https://github.com/akozumpl/dnf/

Or wait a couple of days for the new build to appear (you'll know this is the case when the 'Fixed in Version' field of this bugzilla is filled in.
Comment 5 Ales Kozumplik 2012-10-03 07:32:23 EDT
The search functionality has been added, commit c13c93b.
Comment 6 Fedora Update System 2012-10-05 05:16:55 EDT
dnf-0.2.13-1.gitda60a96.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dnf-0.2.13-1.gitda60a96.fc18
Comment 7 Fedora Update System 2012-10-05 14:00:06 EDT
Package dnf-0.2.13-1.gitda60a96.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.2.13-1.gitda60a96.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15474/dnf-0.2.13-1.gitda60a96.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-20 11:26:39 EST
dnf-0.2.13-1.gitda60a96.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.